#
# spec file for package perl-Cookie-Baker
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Cookie-Baker
Name:           perl-Cookie-Baker
Version:        0.120.0
Release:        2.1
%define cpan_version 0.12
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Cookie string generator / parser
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/K/KA/KAZEBURO/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Time)
BuildRequires:  perl(URI::Escape)
Requires:       perl(URI::Escape)
Provides:       perl(Cookie::Baker) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Cookie::Baker provides simple cookie string generator and parser.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license LICENSE

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Sat Jan  6 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.12
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
  0.12 2024-01-05T08:27:56Z
  - Support CHIPS #20
  - Set secure when SameSite=None #21
    Thank you yoshikazusawa.
* Sat Jun  8 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.11
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
  0.11 2019-06-07T06:27:50Z
  - Supportt SameSite=None https://github.com/kazeburo/Cookie-Baker/pull/15
* Sat Sep 22 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.10
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
  0.10 2018-09-21T07:40:25Z
  - Add samesite https://github.com/kazeburo/Cookie-Baker/pull/13
  - Documentation cleanup
* Sun Mar  4 2018 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
* Wed Jul 19 2017 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
  0.08 2017-07-18T03:36:55Z
  - Disallow , as a delimiter
  - accept max-age=0 #5 (Thank you skaji)
* Thu Sep 22 2016 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
  0.07 2016-09-21T01:35:56Z
  - Allow quoted cookie values, as per RFC 6265. #8
* Tue Jun 30 2015 coolo@suse.com
- updated to 0.06
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
  0.06 2015-06-29T05:53:57Z
  - fix compatibility issue. #4 (Thank you shogo82148)
* Tue Dec  2 2014 ncutler@suse.com
- update from 0.03 to 0.05 to bring in upstream changes:
  0.05 2014-11-26T05:49:50Z
  - fix bug. accepts expires => 0
  0.04 2014-11-25T02:36:43Z
  - requires perl-5.8.1
* Wed Jul 30 2014 ncutler@suse.com
- check license
- take maintainership
